import Reject from './button/Reject';
import Microphone from './button/Microphone';
import Camera from './button/Camera';
import Hangup from './button/Hangup';
import SwitchCamera from './button/SwitchCamera';
import BackgroundBlur from './button/BackgroundBlur';
export declare const ButtonPanelConfig: {
    pc: {
        singleCall: {
            video: {
                calling: {
                    component: typeof Camera;
                }[][];
                accept: {
                    component: typeof Camera;
                }[][];
                connected: {
                    component: typeof Camera;
                }[][];
            };
            audio: {
                calling: {
                    component: typeof Microphone;
                }[][];
                accept: {
                    component: typeof Reject;
                }[][];
                connected: {
                    component: typeof Microphone;
                }[][];
            };
        };
        groupCall: {
            video: {
                calling: {
                    component: typeof Camera;
                }[][];
                accept: {
                    component: typeof Reject;
                }[][];
                connected: {
                    component: typeof Camera;
                }[][];
            };
            audio: {
                calling: {
                    component: typeof Microphone;
                }[][];
                accept: {
                    component: typeof Reject;
                }[][];
                connected: {
                    component: typeof Microphone;
                }[][];
            };
        };
    };
    h5: {
        singleCall: {
            video: {
                calling: {
                    component: typeof Hangup;
                    props: {
                        showText: boolean;
                    };
                }[][];
                accept: {
                    component: typeof Reject;
                    props: {
                        showText: boolean;
                    };
                }[][];
                connected: ({
                    component: typeof Microphone;
                }[] | ({
                    component: typeof BackgroundBlur;
                    props: {
                        style: {
                            justifyContent: string;
                            alignItems: string;
                            visibility: string;
                        };
                        showText?: undefined;
                    };
                } | {
                    component: typeof Hangup;
                    props: {
                        showText: boolean;
                        style?: undefined;
                    };
                } | {
                    component: typeof SwitchCamera;
                    props: {
                        style: {
                            justifyContent: string;
                            alignItems: string;
                            visibility?: undefined;
                        };
                        showText?: undefined;
                    };
                })[])[];
            };
            audio: {
                calling: {
                    component: typeof Hangup;
                    props: {
                        showText: boolean;
                    };
                }[][];
                accept: {
                    component: typeof Reject;
                }[][];
                connected: {
                    component: typeof Microphone;
                }[][];
            };
        };
        groupCall: {
            video: {
                calling: ({
                    component: typeof Microphone;
                }[] | {
                    component: typeof Hangup;
                    props: {
                        showText: boolean;
                    };
                }[])[];
                accept: {
                    component: typeof Reject;
                    props: {
                        showText: boolean;
                    };
                }[][];
                connected: ({
                    component: typeof Microphone;
                }[] | {
                    component: typeof Hangup;
                    props: {
                        showText: boolean;
                    };
                }[])[];
            };
            audio: {
                calling: ({
                    component: typeof Microphone;
                }[] | {
                    component: typeof Hangup;
                    props: {
                        showText: boolean;
                    };
                }[])[];
                accept: {
                    component: typeof Reject;
                    props: {
                        showText: boolean;
                    };
                }[][];
                connected: ({
                    component: typeof Microphone;
                }[] | {
                    component: typeof Hangup;
                    props: {
                        showText: boolean;
                    };
                }[])[];
            };
        };
    };
};
